﻿using System;
using System.Diagnostics;
using System.Reflection;
using System.Windows.Forms;

namespace ComPortSniffer
{
   public partial class AboutBox : Form
   {

      private object GetAttribute(Assembly assembly, Type AttributeType)
      {
         object[] customAttributes = assembly.GetCustomAttributes(AttributeType, true);
         if (customAttributes.Length == 0)
         {
            return null;
         }
         return customAttributes[0];
      }


      private void AboutBox_Load(object sender, EventArgs e)
      {

         // Legen Sie den Titel des Formulars fest.
         Text = "Info ComPort-Sniffer";
         // Initialisieren Sie den gesamten Text, der im Infofeld angezeigt wird.
         // Projekteigenschaften (im Menü "Projekt") an.
         LabelProductName.Text = "URS ComPort-Sniffer";
         LabelVersion.Text = string.Format("Version {0}", Application.ProductVersion);
         LabelCopyright.Text = "Copyright © 2022 Ullis Roboter Seite";
         LabelCompanyName.Text = "Ullis Roboter Seite";
         TextBoxDescription.Text = "Protokollieren des Datentransfers zwischen einem Programm und einem ComPort.";
      }

      private void OKButton_Click(object sender, EventArgs e)
      {
         Close();
      }

      private void LabelCompanyName_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
      {
         Process.Start("https://ullisroboterseite.de/");
      }

      private void TextBoxDescription_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
      {
         Process.Start("https://ullisroboterseite.de/dotnet-comportsniffer.html");
      }

      private void LogoPictureBox_Click(object sender, EventArgs e)
      {
         Process.Start("https://ullisroboterseite.de/");
      }

      private void LabelProductName_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
      {
         Process.Start("https://ullisroboterseite.de/dotnet-comportsniffer.html");
      }
   }
}